Getting started with Apple Pay
Enable Apple Pay for your customers using Your Payment Page or the PaySuite Payment Page. Please see below for more information on how to get started.
Note that only Apple Pay devices (iPhone, iPad, Mac etc.) can be used for Apple Pay payments. There is also no need to have an existing Apple Pay account, contract or relationship, we can facilitate the entire process from start to finish.
How the service is enabled and how you need to integrate to use Apple Pay depends on how you are processing payments with us, see below for specific information.
When using Your Payment Page
To enable the service
Contact us to activate Apple Pay for your account. We will issue you an Apple Pay merchant identifier, there is no need for you to have your own Apple developer account. Part of this process involves validating your website, we will provide you a file which must be hosted by you (https://<domain>/.well-known/apple-developer-merchantid-domain-association) on all domains you wish to use for Apple Pay. Apple will always have the final say on merchant domain activation.
If you wish to use your own Apple developer account, follow Apple’s documentation to configure Apple Pay. You must use our processing certificate API to request the Certificate Signing Request for the payment processing certificate, and to upload the signed certificate to Access PaySuite. You will need to request access to this API.
To integrate the service
Apple provide comprehensive documentation giving an outline of the Apple Pay process and specifics of how to implement it.
For a general overview of Apple Pay this video is a good start, it is based mostly on an Apple developer conference video — https://developer.apple.com/videos/play/wwdc2016/703/.
Follow the Apple provided developer documentation for getting started. For Apple Pay on the Web — https://developer.apple.com/documentation/apple_pay_on_the_web, for Apple Pay in an app — https://developer.apple.com/documentation/passkit/apple_pay.
There are some Apple prescribed design guidelines you should consider when designing your skins and for these we refer you to Apple’s documentation — https://developer.apple.com/design/human-interface-guidelines/apple-pay/overview/buttons-and-marks/.
Documentation specific to using Access PaySuite to implement Apple Pay can be found in these pages in our Apple Pay section:
When you are ready to test, see Testing Apple Pay Transactions.
When using the PaySuite Payment Page
To enable the service
Contact us to activate Apple Pay for your account.
Please note:
- Apple Pay is only available when using a version two hosted skin.
- If you are using, or intend to use, a custom skin, make sure it’s the right version. See Upgrading from skinning version 1 to version 2.
- Our current default skin (id: 2) supports Apple Pay. The legacy default (id: 1) does not.
- For other skins we provide, please contact us to confirm the version.
- If you use an iframe to embed our hosted payment form into your web site, you need to validate your website to be able to use Apple Pay. We will provide you a file which must be hosted by you (
https://<domain>/.well-known/apple-developer-merchantid-domain-association) on all domains you wish to use for Apple Pay. Apple will always have the final say on merchant domain activation. This option will only work in Safari 17 or higher, for versions prior to this Apple Pay won’t work when used in an iframe. This is a restriction imposed by Apple.
To integrate the service
There are some Apple prescribed design guidelines you should consider when designing your skins and for these we refer you to Apple’s documentation — https://developer.apple.com/design/human-interface-guidelines/apple-pay/overview/buttons-and-marks/.
If using an iframe
- You need to send the domain of the site that the iframe will be on in the session initialisation request using the
siteDomainfield. - The
iframeHTML element should include theallow="payment"attribute. If there’s domain redirection involved within the iframe, then it needs to beallow="payment *".
Apple Pay Processing Certificate Management API
This API is only needed for merchants who wish to use their own Apple Pay developer account. Use it to create your Apple Pay processing certificate as documented on configure Apple Pay. You will need to request access to this API.
Request the Certificate Signing Request first, submit it to Apple, then upload the certificate Apple signs back to us.
Request the processing CSR
Request a processing CSR
POST /acceptor/rest/applepay/{instId}/processingCsrcurl -X POST "{targetEnvironmentPath}/acceptor/rest/applepay/{instId}/processingCsr" \
-u "{apiUser}:{apiPassword}"HTTP/1.1 200
Content-Type: application/x-pem-file
-----BEGIN CERTIFICATE REQUEST-----
MIHYMH8CAQAwHTEbMBkGA1UEAxMSYXAuZGV2LmV4YW1wbGUuY29tMFkwEwYHKoZI
zj0CAQYIKoZIzj0DAQcDQgAEXGRIw23fV0LllTafRR+E6cf7SX0p0O1ZelUvbNuc
3WJ16uqfvqxTZarjROElLI8/naT+sf4+C+nnxmQLRhb0aqAAMAoGCCqGSM49BAMC
A0kAMEYCIQC8mkmYbFxj6uvqVVfDHY3JBD9jGTIs5/fP0apnU5V4fwIhAMpyYSju
jMTqFkyVk8eCyLJ66vxGcMVWrl2cs97bM2jB
-----END CERTIFICATE REQUEST------ Send no request body — there is no
Content-Typeto set. - The CSR comes back as
application/x-pem-file, not JSON.
Upload the signed processing certificate
Upload the signed certificate
POST /acceptor/rest/applepay/{instId}/processingCert[binary file content]curl -X POST "{targetEnvironmentPath}/acceptor/rest/applepay/{instId}/processingCert" \
-u "{apiUser}:{apiPassword}" \
-H "Content-Type: application/pkix-cert" \
--data-binary "@signed-processing-certificate.cer"HTTP/1.1 200- The request body is the certificate Apple signed, sent with a
Content-Typeofapplication/pkix-certrather than JSON.